Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
Attempt to Cabal install "implicit"
~ $ \rm -rf .cabal
~ $ cabal install implicit
Config file path source is default config file.
Config file /Users/yminsky/.cabal/config not found.
Writing default configuration to /Users/yminsky/.cabal/config
Warning: The package list for 'hackage.haskell.org' does not exist. Run 'cabal
update' to download it.
cabal: There is no package named 'implicit'.
You may need to run 'cabal update' to get the latest list of available
packages.
~ $ cabal update
Downloading the latest package list from hackage.haskell.org
~ $ cabal install implicit
Resolving dependencies...
Downloading semigroups-0.16.2.2...
Configuring semigroups-0.16.2.2...
Building semigroups-0.16.2.2...
Failed to install semigroups-0.16.2.2
Build log ( /Users/yminsky/.cabal/logs/semigroups-0.16.2.2.log ):
[1 of 1] Compiling Main ( /var/folders/x_/d45m_mpx2r7g79x2212dkjsm0000gn/T/semigroups-0.16.2.2-7432/semigroups-0.16.2.2/dist/setup/setup.hs, /var/folders/x_/d45m_mpx2r7g79x2212dkjsm0000gn/T/semigroups-0.16.2.2-7432/semigroups-0.16.2.2/dist/setup/Main.o )
Linking /var/folders/x_/d45m_mpx2r7g79x2212dkjsm0000gn/T/semigroups-0.16.2.2-7432/semigroups-0.16.2.2/dist/setup/setup ...
Configuring semigroups-0.16.2.2...
Building semigroups-0.16.2.2...
Preprocessing library semigroups-0.16.2.2...
src/Data/Semigroup.hs:105:8:
Ambiguous module name ‘Numeric.Natural’:
it was found in multiple packages:
nats-0.1.2@nats_1SlQ91QfEGVBnpiEUJoePq base-4.8.0.0
src/Data/Semigroup.hs:135:18:
Could not find module ‘Data.Text’
There are files missing in the ‘text-1.2.0.4@text_IINWRW1LxFGIctooOLjJAI’ package,
try running 'ghc-pkg check'.
Use -v to see a list of the files searched for.
src/Data/Semigroup.hs:136:18:
Could not find module ‘Data.Text.Lazy’
There are files missing in the ‘text-1.2.0.4@text_IINWRW1LxFGIctooOLjJAI’ package,
try running 'ghc-pkg check'.
Use -v to see a list of the files searched for.
src/Data/Semigroup.hs:137:18:
Could not find module ‘Data.Text.Lazy.Builder’
There are files missing in the ‘text-1.2.0.4@text_IINWRW1LxFGIctooOLjJAI’ package,
try running 'ghc-pkg check'.
Use -v to see a list of the files searched for.
src/Data/Semigroup.hs:141:8:
Could not find module ‘Data.Hashable’
There are files missing in the ‘hashable-1.2.3.2@hasha_4pCQ7Lk5Sy77uu2IVvihjA’ package,
try running 'ghc-pkg check'.
Use -v to see a list of the files searched for.
src/Data/Semigroup.hs:145:8:
Could not find module ‘Data.HashMap.Lazy’
There are files missing in the ‘unordered-containers-0.2.5.1@unord_DIU6Pj86ymt4SKpnm6sKDl’ package,
try running 'ghc-pkg check'.
Use -v to see a list of the files searched for.
src/Data/Semigroup.hs:146:8:
Could not find module ‘Data.HashSet’
There are files missing in the ‘unordered-containers-0.2.5.1@unord_DIU6Pj86ymt4SKpnm6sKDl’ package,
try running 'ghc-pkg check'.
Use -v to see a list of the files searched for.
cabal: Error: some packages failed to install:
MemoTrie-0.6.2 depends on semigroups-0.16.2.2 which failed to install.
implicit-0.0.3 depends on semigroups-0.16.2.2 which failed to install.
semigroups-0.16.2.2 failed during the building phase. The exception was:
ExitFailure 1
vector-space-0.10.2 depends on semigroups-0.16.2.2 which failed to install.
void-0.7 depends on semigroups-0.16.2.2 which failed to install.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.